## ros-indigo-ros-canopen 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_canopen)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-ros-canopen (0.6.9-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-indigo-ros-canopen (0.6.8-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-ros-canopen (0.6.7-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-ros-canopen (0.6.6-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 17 Mar 2017 23:00:00 -0000

ros-indigo-ros-canopen (0.6.5-0trusty) trusty; urgency=high

  * updated metapackage
    * format 2
    * updated maintaner
    * added new packages
  * update package URLs
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-indigo-ros-canopen (0.6.4-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-indigo-ros-canopen (0.6.3-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 29 Jun 2015 22:00:00 -0000

ros-indigo-ros-canopen (0.6.2-0trusty) trusty; urgency=high

  * remove canopen_test_utils from metapackage
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-ros-canopen (0.6.1-0trusty) trusty; urgency=high

  * add metapackage
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-ros-canopen
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/ros_canopen
Standards-Version: 3.9.2

Package: ros-indigo-ros-canopen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-can-msgs, ros-indigo-canopen-402, ros-indigo-canopen-chain-node, ros-indigo-canopen-master, ros-indigo-canopen-motor-node, ros-indigo-socketcan-bridge, ros-indigo-socketcan-interface
Description: A generic canopen implementation for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ros-canopen//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
